# Uses of Class
org.opensaml.saml.criterion.ProtocolCriterion

Packages that use ProtocolCriterion
Package
Description
org.opensaml.saml.metadata.criteria.role.impl
Implementation classes related to `RoleDescriptor` criteria, particularly evaluable (predicate) criteria.

## Uses of ProtocolCriterion in org.opensaml.saml.metadata.criteria.role.impl

Constructors in org.opensaml.saml.metadata.criteria.role.impl with parameters of type ProtocolCriterion
Modifier
Constructor
Description
``
`EvaluableProtocolRoleDescriptorCriterion(ProtocolCriterion criterion)`
Constructor.